# Interface for submodule: Point
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate


# Interface for class: Point
from ._proxies import PointProxy as _PointProxy
class _PointTemplateGetter():
    def __getitem__(self, parameters) -> _PointTemplate:
        """Specify class type with:
            	[INSERT_TYPE_NAMES_HERE]
            :return: PointTemplate
            """
        ...


class _PointTemplate(_itkTemplate, metaclass=_PointTemplateGetter):
    """Interface for instantiating itk::Point< INSERT_TYPE_NAMES_HERE >
        Supports type specification through dictionary access:
            'itk.Point[INSERT_TYPE_NAMES_HERE]()"""

    def __new__(cls, *args: Any) -> _PointProxy:
        """Instantiate itk::Point< INSERT_TYPE_NAMES_HERE >"""
        ...

    def __call__(self, *args: Any) -> _PointProxy:
        """Instantiate itk::Point< INSERT_TYPE_NAMES_HERE >"""
        ...

Point = _PointTemplate

